//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

.c-timepicker {
    $reset-icon-width: 24px;
    $item-border-thickness: $dp-border-thickness * 2;

    &__flyout {
        position: absolute;
        z-index: $z-content-above;
        background-color: $dp-color-white;
        border: $dp-border-thickness solid $dp-color-border-default;

        &-item {
            list-style-type: none;
            border: $item-border-thickness solid transparent;
            text-align: center;
            color: $dp-color-text-default; // May be adapted to a11y-datepicker theming, or vice versa.

            &:hover {
                border: $item-border-thickness solid $dp-color-main;
                cursor: pointer;
            }

            &.is-selected {
                background-color: $dp-color-highlight;
                border-radius: $dp-rounded-small;
                font-weight: $bold-font-weight;
                font-family: $bold-font-family;

                & button {
                    color: $dp-color-white;
                }
            }
        }
    }
}
